import com.android.build.api.dsl.ApplicationExtension
import com.test.configureAndroidCompose
import com.test.configureKotlinAndroid
import org.gradle.api.Plugin
import org.gradle.api.Project
import org.gradle.kotlin.dsl.apply
import org.gradle.kotlin.dsl.configure
import org.gradle.kotlin.dsl.dependencies
import org.gradle.kotlin.dsl.getByType

class AndroidApplicationConventionPlugin : Plugin<Project> {
    override fun apply(target: Project) {
        with(target) {
            with(pluginManager) {
                apply(plugin= "com.android.application")
                apply(plugin= "org.jetbrains.kotlin.android")
                apply(plugin= "org.jetbrains.kotlin.plugin.compose")

                val extension = extensions.getByType<ApplicationExtension>()
                configureAndroidCompose(extension)
            }

            extensions.configure<ApplicationExtension> {
                configureKotlinAndroid(this)
            }

            dependencies {

            }
        }
    }
}
