import com.android.build.gradle.LibraryExtension
import com.test.configureAndroidCompose
import com.test.configureKotlinAndroid
import org.gradle.api.Plugin
import org.gradle.api.Project
import org.gradle.kotlin.dsl.apply
import org.gradle.kotlin.dsl.configure
import org.gradle.kotlin.dsl.getByType

class AndroidComposeConventionPlugin : Plugin<Project> {
    override fun apply(target: Project) {
        with(target) {
            with(pluginManager) {
                apply( plugin="com.android.library")
                apply(plugin = "org.jetbrains.kotlin.android")
                apply( plugin="kotlin-parcelize")
                apply( plugin="org.jetbrains.kotlin.plugin.compose")

                val extension = extensions.getByType<LibraryExtension>()
                configureAndroidCompose(extension)
            }

            extensions.configure<LibraryExtension> {
                configureKotlinAndroid(this)
            }
        }
    }
}
